// 2021-12-01
// Advent of Code 2021 Day 2
// Munashe

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define CAP 2000

int main(void){
	char fileName[] = "input.txt";
	FILE *fp = fopen(fileName, "r");
	int numbers[CAP] = {0};
	char commands[CAP][10] = {0};
	int count = 0;
	if(!fp) {
		fprintf(stderr, "Could not open %s\n", fileName);
	}
	while(fscanf(fp, "%s%d\n", commands[count], &numbers[count]) != EOF){
		++count;
	}
	fclose(fp);
	
	int depth = 0;
	int dist = 0;
	for(int i = 0; i < count; ++i){
		if(commands[i][0] == 'f') { dist += numbers[i]; }
		if(commands[i][0] == 'u') { depth -= numbers[i]; }
		if(commands[i][0] == 'd') { depth += numbers[i]; }
	}
	printf("Part 1: %d\n", depth * dist);
	
	depth = 0;
	dist = 0;
	int aim = 0;
	for(int i = 0; i < count; ++i){
		if(commands[i][0] == 'f') { dist += numbers[i]; depth += (numbers[i] * aim); }
		if(commands[i][0] == 'u') { aim -= numbers[i]; }
		if(commands[i][0] == 'd') { aim += numbers[i]; }
	}
	printf("Part 2: %d\n", depth * dist);
	
	return 0;
}